Package com.enonic.xp.data

## Class ValueFactory

- java.lang.Object
- - com.enonic.xp.data.ValueFactory

-     public final class ValueFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValueFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Value` | `newBinaryReference​(BinaryReference value)` |
    `static Value` | `newBoolean​(Boolean value)` |
    `static Value` | `newDateTime​(Instant value)` |
    `static Value` | `newDouble​(Double value)` |
    `static Value` | `newGeoPoint​(GeoPoint value)` |
    `static Value` | `newLink​(Link value)` |
    `static Value` | `newLocalDate​(LocalDate value)` |
    `static Value` | `newLocalDateTime​(LocalDateTime value)` |
    `static Value` | `newLocalTime​(LocalTime value)` |
    `static Value` | `newLong​(Long value)` |
    `static Value` | `newPropertySet​(PropertySet value)` |
    `static Value` | `newReference​(Reference value)` |
    `static Value` | `newString​(String value)` |
    `static Value` | `newXml​(String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueFactory

          public ValueFactory()

  - ### Method Detail

    - #### newDateTime

          public static Value newDateTime​(Instant value)

    - #### newLocalTime

          public static Value newLocalTime​(LocalTime value)

    - #### newLocalDateTime

          public static Value newLocalDateTime​(LocalDateTime value)

    - #### newLocalDate

          public static Value newLocalDate​(LocalDate value)

    - #### newLong

          public static Value newLong​(Long value)

    - #### newBoolean

          public static Value newBoolean​(Boolean value)

    - #### newDouble

          public static Value newDouble​(Double value)

    - #### newString

          public static Value newString​(String value)

    - #### newXml

          public static Value newXml​(String value)

    - #### newGeoPoint

          public static Value newGeoPoint​(GeoPoint value)

    - #### newReference

          public static Value newReference​(Reference value)

    - #### newBinaryReference

          public static Value newBinaryReference​(BinaryReference value)

    - #### newLink

          public static Value newLink​(Link value)

    - #### newPropertySet

          public static Value newPropertySet​(PropertySet value)